## dsme 0.60.32+0m5

=== Makefile ===
#
# Build targets
#
BINARIES     := dsme dsme-exec-helper
SUBDIRS      := util modules

VERSION := 0.60.32

#
# Install files in this directory
#
INSTALL_PERM  := 644
INSTALL_OWNER := $(shell id -u)
INSTALL_GROUP := $(shell id -g)

INSTALL_BINARIES                      := dsme dsme-exec-helper
$(INSTALL_BINARIES)    : INSTALL_PERM := 755
$(INSTALL_BINARIES)    : INSTALL_DIR  := $(DESTDIR)/sbin

#
# Compiler and tool flags
# C_OPTFLAGS are not used for debug builds (ifdef DEBUG)
# C_DBGFLAGS are not used for normal builds
#
C_GENFLAGS     := -DPRG_VERSION=$(VERSION) -pthread -g \
                  -Wall -Wwrite-strings -Wmissing-prototypes -Werror# -pedantic
C_OPTFLAGS     := -O2 -s
C_DBGFLAGS     := -g -DDEBUG -DDSME_LOG_ENABLE
C_DEFINES      := DSME_POSIX_TIMER DSME_WD_SYNC DSME_BMEIPC
C_INCDIRS      := $(TOPDIR)/include $(TOPDIR)/modules $(TOPDIR) 
MKDEP_INCFLAGS := $$(pkg-config --cflags-only-I glib-2.0)


LD_GENFLAGS := -pthread

# If OSSO_DEBUG is defined, compile in the logging
#ifdef OSSO_LOG
C_OPTFLAGS += -DDSME_LOG_ENABLE
#endif

ifneq (,$(findstring DSME_BMEIPC,$(C_DEFINES)))
export DSME_BMEIPC = yes
endif

ifneq (,$(findstring DSME_MEMORY_THERMAL_MGMT,$(C_DEFINES)))
export DSME_MEMORY_THERMAL_MGMT = yes
endif

#
# Target composition and overrides
#

# dsme
dsme_C_OBJS             := dsme.o modulebase.o timers.o \
                           logging.o oom.o mainloop.o \
                           dsme-cal.o dsmesock.o
dsme_LIBS               := dsme dl cal
dsme: LD_EXTRA_GENFLAGS := -rdynamic $$(pkg-config --libs gthread-2.0)

#logging.o:	C_EXTRA_DEFINES	:=	USE_STDERR
dsme.o      : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
mainloop.o  : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
modulebase.o: C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
timers.o    : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
dsmesock.o  : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)


# TODO: move dsme-exec-helper to modules/
# dsme-exec-helper
dsme-exec-helper_C_OBJS := dsme-exec-helper.o oom.o
dsme-exec-helper.o : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)


#
# This is the topdir for build
#
TOPDIR := $(shell /bin/pwd)

#
# Non-target files/directories to be deleted by distclean
#
DISTCLEAN_DIRS	:=	doc tags

#DISTCLN_SUBDIRS := _distclean_tests

#
# Actual rules
#
include $(TOPDIR)/Rules.make

.PHONY: tags
tags:
	find . -name '*.[hc]'  |xargs ctags

.PHONY: doc
doc:
	doxygen

local_install:
	mkdir -p $(DESTDIR)/etc/dsme
	install -m 600 -o $(INSTALL_OWNER) -g $(INSTALL_GROUP) lifeguard.uids $(DESTDIR)/etc/dsme


.PHONY: test
test: all
	make -C test depend
	make -C test
	make -C test run

=== test/Makefile ===
BINARIES := testdriver

C_EXTRA_INCDIRS := ../include
MKDEP_INCFLAGS := $$(pkg-config --cflags-only-I glib-2.0)

testdriver_C_OBJS := testdriver.o
testdriver.o : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
../modulebase.o : C_EXTRA_GENFLAGS := $$(pkg-config --cflasgs glib-2.0)
testdriver_LIBS := pthread dl
LD_EXTRA_GENFLAGS := -rdynamic \
                     ../dsmesock.o ../protocol.o ../message.o \
                     ../logging.o \
                     ../mainloop.o \
                     $$(pkg-config --libs glib-2.0)

all: $(BINARIES)

.PHONY: run
run:
#	valgrind -q ./testdriver
#	valgrind -q --tool=exp-omega ./testdriver
	rm -f vcov.out; ~/local/bin/valgrind -q --tool=exp-vcov ./testdriver
	perl ~/local/bin/vc_annotate vcov.out > vcov.txt

include $(TOPDIR)/Rules.make

=== util/Makefile ===
#
# Build targets
#
BINARIES	:=	batttest dsmetool dsmetest bootstate kick_wd waitfordsme dsmereboot

#
# Target composition and overrides
#
batttest_C_OBJS		:=	batttest.o
batttest_LIBS	:=	dsme
dsmetool_C_OBJS 	:=	dsmetool.o
dsmetool_LIBS	:=	dsme
dsmetest_C_OBJS 	:=	dsmetest.o
dsmetest_LIBS	:=	dsme
bootstate_C_OBJS 	:=	bootstate.o
bootstate_LIBS	:=	dsme
kick_wd_C_OBJS 	:=	kick_wd.o
kick_wd_LIBS	:=	dsme
waitfordsme_C_OBJS 	:=	waitfordsme.o
waitfordsme_LIBS	:=	dsme
kicker_C_OBJS 	:=	kicker.o
kicker_LIBS	:=	dsme cal
dsmereboot_C_OBJS := dsmereboot.o
dsmereboot_LIBS := dsme


#
# Install files in this directory
#
INSTALL_PERM    :=      644
INSTALL_OWNER   :=      $(shell id -u)
INSTALL_GROUP   :=      $(shell id -g)


INSTALL_BINARIES                        :=      batttest dsmetool bootstate waitfordsme dsmetest
$(INSTALL_BINARIES): INSTALL_PERM       :=      755
$(INSTALL_BINARIES): INSTALL_DIR        :=      $(DESTDIR)/usr/sbin

include $(TOPDIR)/Rules.make

=== debian/changelog ===
dsme (0.60.32+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Fri, 11 Sep 2009 11:34:33 +0300

dsme (0.60.32) unstable; urgency=low

  * Fixes: NB#137889: stop lifeguarding during reboot/shutdown

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 10 Sep 2009 11:02:45 +0000

dsme (0.60.31) unstable; urgency=low

  * Fixes: NB#137889: remove dsmetool-session

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 09 Sep 2009 05:55:37 +0000

dsme (0.60.30) unstable; urgency=low

  * No changes
  * Fixes: NB#137872

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 08 Sep 2009 17:44:00 +0000

dsme (0.60.29) unstable; urgency=low

  * Fixes: NB#132619: Split libdsme into a separate source package
  * Partial fix to NB#127507: retry wd kicking in case of EAGAIN
  * Put back the 2 s shutdown delay that was removed in 0.60.28

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 03 Sep 2009 11:19:05 +0300

dsme (0.60.28) unstable; urgency=low

  * Partial fix to NB#127466: remove a 2 s delay from shutdown
  * Once committed, do not stop thermal shutdown even if temps come down

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 02 Sep 2009 07:42:42 +0000

dsme (0.60.27) unstable; urgency=low

  * Fixes: NB#127507: partial fixes as follows
  * add high priority thread to kick hwwd's and wake up main thread
  * call g_thread_init()
  * protect all threads from OOM killer

 -- Semi Malinen <semi.malinen@nokia.com>  Sun, 23 Aug 2009 14:30:46 +0000

dsme (0.60.26) unstable; urgency=low

  * Fixes: NB#127507: partial fixes as follows
  * use helper app to avoid being non-async-signal-safe before exec
  * use -pthread gcc flag all over
  * only try to open thermal tuning file while in TA test
  * offload alarm state saving to the logger thread

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 18 Aug 2009 10:07:14 +0000

dsme (0.60.25) unstable; urgency=low

  * Part of the fix for NB#127507: do not block in parent when spawning
  * Fixes: NB#132451: detect mass storage mode properly

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 14 Aug 2009 10:37:56 +0000

dsme (0.60.24) unstable; urgency=low

  * Part of the fix for NB#123145: only prevent shutdown/reboot in USER mode

 -- Semi Malinen <semi.malinen@nokia.com>  Sun, 09 Aug 2009 09:58:33 +0000

dsme (0.60.23) unstable; urgency=low

  * Fixes: NB#130039: offload lifeguard statistics to the logger thread
  * Part of the fix for NB#123145: fix USB connection state detection

 -- Semi Malinen <semi.malinen@nokia.com>  Sat, 08 Aug 2009 10:11:23 +0000

dsme (0.60.22) unstable; urgency=low

  * Fixes: NB#129544: sync thermal manager to hwwd kicking

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 30 Jul 2009 15:01:57 +0000

dsme (0.60.21) unstable; urgency=low

  * Fixes: NB#127619: kick hwwd's every 12 s, process wd's every 24 s
  * Fixes: NB#126749: same as above
  * Part of the fix for NB#123145: deny shutdown/reboot when connected to PC

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 14 Jul 2009 08:21:08 +0000

dsme (0.60.20) unstable; urgency=low

  * Fixes: NB#124471: fix K to degrees C conversion heuristics

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 24 Jun 2009 19:04:45 +0000

dsme (0.60.19) unstable; urgency=low

  * revert the botched attempt at posixifying dsmetool-session

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 09 Jun 2009 10:31:37 +0000

dsme (0.60.18) unstable; urgency=low

  * NB#101783: allow setting of oom_adj for non-root users of dsmetool

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 09 Jun 2009 06:59:48 +0000

dsme (0.60.17) unstable; urgency=low

  * off-load logging to a separate thread to prevent main thread from blocking
  * attempt to posixify dsmetool-session

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 04 Jun 2009 14:40:42 +0000

dsme (0.60.16) unstable; urgency=low

  * log if wd's are kicked 1 s or more later than anticipated
  * log sender of shutdown/reboot/powerup request for D-Dbus

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 02 Jun 2009 09:00:59 +0000

dsme (0.60.15) unstable; urgency=low

  * make wd kick period only 5 seconds as a temporary workaround
  * remove separate hw wd thread and kick wd's from the main thread
  * kick hw wd's before sending process wd pings
  * log bootstate at startup
  * log sender of shutdown/reboot/powerup request for dsmesock

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 01 Jun 2009 08:59:05 +0000

dsme (0.60.14) unstable; urgency=low

  * Fixes: NB#112871: lock all pages to RAM
  * Fixes: NB#118702: lock all pages to RAM
  * Fixes: NB#118399: add a timeout to dsmetool
  * /etc/event.d/dsme: do not respawn dsme
  * /etc/event.d/dsme: waitfordsme in post-start script

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 27 May 2009 08:40:10 +0000

dsme (0.60.13) unstable; urgency=low

  * Fixes: NB#117923 - kick watchdogs 2 s before running 'telinit 0'
  * Fixes: NB#101783 - dsmetool supports -m for setting oom_adj
  * Estimate surface temperature as (BTEMP - 7)

 -- Semi Malinen <semi.malinen@nokia.com>  Mon, 18 May 2009 14:29:41 +0000

dsme (0.60.12) unstable; urgency=low

  * Part of the fix for NB#102069: re-enable hw wd kicking
  * Fixes: NB#100976 - do not write alarms to file if unchanged
  * Fixes: NB#115416 - write fewer lines to console from lifeguard
  * Part of the fix for NB#102544: add dsmetool flag -b to request reboot
  * Potential fix for NB#116253: do not syslog in signal handler
  * Fixes: NB#111827 - dsmetool now reports if -k fails
  * Fixes: NB#103369 - dsme now sources system wide resource limits

 -- Semi Malinen <semi.malinen@nokia.com>  Fri, 15 May 2009 07:16:05 +0000

dsme (0.60.11) unstable; urgency=low

  * Fixes: NB#116394 - give sysinfod some time to get its D-Bus interface up

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 13 May 2009 05:53:53 +0000

dsme (0.60.10) unstable; urgency=low



=== debian/control ===
Source: dsme
Section: misc
Priority: optional
Maintainer: Semi Malinen <semi.malinen@nokia.com>
Uploaders: Ismo Laitinen <ismo.laitinen@nokia.com>, David Weinehall <david.weinehall@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 libdsme0.2.0-dev (>= 0.60.29),
 libbmeipc-dev,
 libcal-dev (>= 0.2.0),
 pkg-config,
 libglib2.0-dev,
 libdbus-1-dev (>= 1.0),
 libdbus-glib-1-dev,
 upstart-dev
Standards-Version: 3.7.2

Package: dsme
Section: misc
Architecture: any
Depends: ${shlibs:Depends}
Description: Device State Management Entity
 This package contains the Device State Management Entity which provides state
 management features such as service monitoring, process watchdog and
 inactivity tracking.

Package: dsme-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dsme (= ${binary:Version})
Description: Device State Management Entity (with debug symbols)
 This package contains the Device State Management Entity which provides state
 management features such as service monitoring, process watchdog and
 inactivity tracking.

## dsme 0.60.34+0m5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BINARIES     := dsme dsme-exec-helper
 SUBDIRS      := util modules
 
-VERSION := 0.60.32
+VERSION := 0.60.34
 
 #
 # Install files in this directory

=== debian/changelog ===
dsme (0.60.34+0m5) hardy; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Fri, 16 Oct 2009 12:32:44 +0300

dsme (0.60.34) hardy; urgency=low

  * Revert the fix to NB#138594 to make a sales release

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 15 Oct 2009 10:02:34 +0000

dsme (0.60.33) unstable; urgency=low

  * Fixes: NB#142959: do not send THERMAL_SHUTDOWN_IND
  * Partial fix to NB#138594: no new lifeguard clients during reboot/shutdown

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 14 Oct 2009 15:48:12 +0000

## dsme 0.60.39+0m5

=== modules/Makefile ===
#
# Build targets
#
SO_LIBRARIES    := libstartup              \
                   libheartbeat            \
                   libstate                \
                   librunlevel             \
                   liblifeguard            \
                   libprocesswd            \
                   libhwwd                 \
                   libdbusproxy            \
                   libalarmtracker         \
                   libthermalmanager       \
                   libemergencycalltracker

ifdef DSME_BMEIPC
SO_LIBRARIES    += libthermalobject_surface
endif

ifdef DSME_MEMORY_THERMAL_MGMT
SO_LIBRARIES    += libthermalobject_memory
endif


#
# Target composition and overrides
#
libstartup_C_OBJS            := startup.o
startup.o : C_EXTRA_GENFLAGS := -fPIC

libheartbeat_C_OBJS            := heartbeat.o
heartbeat.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)

libstate_C_OBJS               := state.o
state.o    : C_EXTRA_GENFLAGS := -fPIC
librunlevel_C_OBJS            := runlevel.o
runlevel.o : C_EXTRA_GENFLAGS := -fPIC

liblifeguard_C_OBJS := lifeguard.o spawn.o
lifeguard.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
spawn.o     : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)

libprocesswd_C_OBJS := processwd.o
processwd.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)

libhwwd_C_OBJS               := hwwd.o dsme_wd.o
hwwd.o    : C_EXTRA_GENFLAGS := -fPIC
dsme_wd.o : C_EXTRA_GENFLAGS := -fPIC
#libhwwd_EXTRA_LDFLAGS        := -lpthread

libdbusproxy_C_OBJS := dbusproxy.o dsme_dbus.o
dbusproxy.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
dsme_dbus.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags dbus-glib-1)
libdbusproxy_EXTRA_LDFLAGS := $$(pkg-config --libs dbus-glib-1) -ldsme_dbus_if

libalarmtracker_C_OBJS := alarmtracker.o
alarmtracker.o : C_EXTRA_GENFLAGS := -fPIC

libthermalmanager_C_OBJS := thermalmanager.o
thermalmanager.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0) -DDSME_THERMAL_TUNING #-DDSME_THERMAL_LOGGING
#libthermalmanager_EXTRA_LDFLAGS := -lrt

ifdef DSME_BMEIPC
libthermalobject_surface_C_OBJS := thermalobject_surface.o thermalsensor_battery.o
thermalobject_surface.o:  C_EXTRA_GENFLAGS := -fPIC
thermalsensor_battery.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
libthermalobject_surface_EXTRA_LDFLAGS := -lbmeipc $$(pkg-config --libs glib-2.0)
endif

ifdef DSME_MEMORY_THERMAL_MGMT
libthermalobject_memory_C_OBJS := thermalobject_memory.o thermalsensor_omap.o
thermalobject_memory.o: C_EXTRA_GENFLAGS := -fPIC
thermalsensor_omap.o :  C_EXTRA_GENFLAGS := -fPIC -std=c99
endif

libemergencycalltracker_C_OBJS := emergencycalltracker.o
emergencycalltracker.o : C_EXTRA_GENFLAGS := -fPIC

MKDEP_INCFLAGS	:= $$(pkg-config --cflags-only-I glib-2.0 dbus-glib-1)

#
# Install files in this directory
#
INSTALL_PERM    :=      644
INSTALL_OWNER   :=      $(shell id -u)
INSTALL_GROUP   :=      $(shell id -g)

$(INSTALL_BINARIES): INSTALL_PERM   :=  755
$(INSTALL_BINARIES): INSTALL_DIR    :=  $(DESTDIR)/sbin
INSTALL_SO_LIBRARIES    :=  libstartup.so        \
                            libheartbeat.so      \
                            libprocesswd.so      \
                            libhwwd.so           \
                            liblifeguard.so      \
                            libstate.so          \
                            librunlevel.so       \
                            libdbusproxy.so      \
                            libalarmtracker.so   \
                            libthermalmanager.so \
                            libemergencycalltracker.so
ifdef DSME_BMEIPC
INSTALL_SO_LIBRARIES	+=	libthermalobject_surface.so
endif
ifdef DSME_MEMORY_THERMAL_MGMT
INSTALL_SO_LIBRARIES	+=	libthermalobject_memory.so
endif
$(INSTALL_SO_LIBRARIES): INSTALL_PERM := 755
$(INSTALL_SO_LIBRARIES): INSTALL_DIR  := $(DESTDIR)/usr/lib/dsme
INSTALL_INCLUDES                      := 
$(INSTALL_INCLUDES): INSTALL_PERM     := 644
$(INSTALL_INCLUDES): INSTALL_DIR      := $(DESTDIR)/usr/include/dsme

include $(TOPDIR)/Rules.make

=== debian/changelog ===
dsme (0.60.39+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Swert De <philippe.de-swert@nokia.com>  Thu, 05 Nov 2009 19:18:24 +0200

dsme (0.60.39) unstable; urgency=low

  * Fixes: NB#139135: parameterize reboot and shutdown in shutdown_ind on D-Bus

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 04 Nov 2009 15:09:34 +0000

dsme (0.60.38) unstable; urgency=low

  * Fixes: NB#144351: send alarm state in addition to state query response

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 28 Oct 2009 15:52:13 +0000

dsme (0.60.37) unstable; urgency=low

  * Fixes: NB#144351: indicate raw alarm queue changes to dsmesock clients

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 27 Oct 2009 12:49:09 +0000

dsme (0.60.36) unstable; urgency=low

  * Fixes: NB#144351: broadcast SET_ALARM_STATE message to dsmesock

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 27 Oct 2009 11:08:30 +0000

dsme (0.60.35) unstable; urgency=low

  * Fixes: NB#143508: bump the version number to submit for integration

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 21 Oct 2009 14:00:29 +0000

dsme (0.60.34) unstable; urgency=low

  * Revert the fix to NB#138594 to make a sales release

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 15 Oct 2009 10:02:34 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# To build testcases as well, add "testcases" to DEB_BUILD_OPTIONS
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	DH_OPTIONS=
else
	DH_OPTIONS=-Ndsme-testcases
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

#Architecture
build: build-stamp

build-stamp: configure-stamp

# To build testcases as well, add "testcases" to DEB_BUILD_OPTIONS
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	$(MAKE) tests
else
	$(MAKE)
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs

	# Add here commands to install the package into
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	#mkdir $(CURDIR)/debian/tmp/etc/dsme
	install -m 440  lifeguard.uids $(CURDIR)/debian/tmp/etc/dsme/

	# install tests (if needed)
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	$(MAKE) tests_install DESTDIR=$(CURDIR)/debian/tmp
endif

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -XREADME
	dh_installexamples
	dh_installupstart
	dh_installupstart --name=dsme-dbus
	dh_installupstart --name=dsme-thermal
	dh_installman
	dh_link
	dh_strip --dbg-package=dsme
	dh_compress
	dh_fixperms
	dh_makeshlibs --exclude=/usr/lib/dsme/
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build install
#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
#binary-arch: build install
#	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## dsme 0.60.44+0m5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BINARIES     := dsme dsme-exec-helper
 SUBDIRS      := util modules
 
-VERSION := 0.60.34
+VERSION := 0.60.39
 
 #
 # Install files in this directory

=== debian/changelog ===
dsme (0.60.44+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Thu, 11 Feb 2010 13:29:45 +0200

dsme (0.60.44) unstable; urgency=low

  * Fixes: NB#153879: dsmetool crash due to connection is closed
  * Fix memory leak

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Mon, 08 Feb 2010 12:57:02 +0300

dsme (0.60.43) unstable; urgency=low

  * Fixes: NB#155046: reverting memory locking back to full

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Tue, 02 Feb 2010 11:19:24 +0300

dsme (0.60.42) unstable; urgency=low

  * Fixes: NB#153879: dsmetool crash due to connection is closed

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Thu, 28 Jan 2010 16:59:38 +0300

dsme (0.60.41) unstable; urgency=low

  * Fixes: NB#153778: replace sysinfod by dbus in /etc/event.d/dsme-thermal

 -- Victor Portnov <ext-victor.portnov@nokia.com>  Wed, 20 Jan 2010 17:55:17 +0300

dsme (0.60.40) unstable; urgency=low

  * Fixes: NB#147969: dsme memory locking is used only for necessary code and data segments

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Tue, 22 Dec 2009 12:03:11 +0300

## dsme 0.60.46+0m5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BINARIES     := dsme dsme-exec-helper
 SUBDIRS      := util modules
 
-VERSION := 0.60.39
+VERSION := 0.60.46
 
 #
 # Install files in this directory

=== debian/changelog ===
dsme (0.60.46+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.60.46+0m5

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Fri, 30 Apr 2010 13:41:34 +0300

dsme (0.60.46) unstable; urgency=low

  * reverting memory locking back to full. Fixes: NB#155046. 

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Fri, 30 Apr 2010 14:09:01 +0400

dsme (0.60.45) unstable; urgency=low

  * dsme full locking to be reverted. Fixes: NB#164601.  

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Tue, 20 Apr 2010 18:58:02 +0400

## dsme 0.60.48+0m5

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
 # Build targets
 #
-BINARIES     := dsme dsme-exec-helper
+BINARIES     := dsme dsme-server dsme-exec-helper
 SUBDIRS      := util modules
 
-VERSION := 0.60.46
+VERSION := 0.60.48
 
 #
 # Install files in this directory
@@ -13,16 +13,28 @@
 INSTALL_OWNER := $(shell id -u)
 INSTALL_GROUP := $(shell id -g)
 
-INSTALL_BINARIES                      := dsme dsme-exec-helper
+INSTALL_BINARIES                      := dsme dsme-server dsme-exec-helper
 $(INSTALL_BINARIES)    : INSTALL_PERM := 755
 $(INSTALL_BINARIES)    : INSTALL_DIR  := $(DESTDIR)/sbin
+
+INSTALL_INCLUDES                      := include/dsme/dsme-cal.h     \
+                                         include/dsme/dsmesock.h     \
+                                         include/dsme/logging.h      \
+                                         include/dsme/mainloop.h     \
+                                         include/dsme/modulebase.h   \
+                                         include/dsme/modules.h      \
+                                         include/dsme/oom.h          \
+                                         include/dsme/timers.h       \
+                                         dsme-wdd-wd.h              
+
+$(INSTALL_INCLUDES)    : INSTALL_DIR  := $(DESTDIR)/usr/include/dsme
 
 #
 # Compiler and tool flags
 # C_OPTFLAGS are not used for debug builds (ifdef DEBUG)
 # C_DBGFLAGS are not used for normal builds
 #
-C_GENFLAGS     := -DPRG_VERSION=$(VERSION) -pthread -g \
+C_GENFLAGS     := -DPRG_VERSION=$(VERSION) -pthread -g -std=c99 \
                   -Wall -Wwrite-strings -Wmissing-prototypes -Werror# -pedantic
 C_OPTFLAGS     := -O2 -s
 C_DBGFLAGS     := -g -DDEBUG -DDSME_LOG_ENABLE
@@ -51,19 +63,27 @@
 #
 
 # dsme
-dsme_C_OBJS             := dsme.o modulebase.o timers.o \
-                           logging.o oom.o mainloop.o \
-                           dsme-cal.o dsmesock.o
-dsme_LIBS               := dsme dl cal
-dsme: LD_EXTRA_GENFLAGS := -rdynamic $$(pkg-config --libs gthread-2.0)
+dsme_C_OBJS       := dsme-wdd.o dsme-wdd-wd.o oom.o
+dsme: C_OPTFLAGS  := -O2 -s
+dsme: C_GENFLAGS  := -DPRG_VERSION=$(VERSION) -g -std=c99 \
+                     -Wall -Wwrite-strings -Wmissing-prototypes -Werror
+dsme_LIBS         := cal
+dsme: LD_GENFLAGS :=
 
-#logging.o:	C_EXTRA_DEFINES	:=	USE_STDERR
-dsme.o      : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
-mainloop.o  : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
-modulebase.o: C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
-timers.o    : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
-dsmesock.o  : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
 
+# dsme-server
+dsme-server_C_OBJS             := dsme-server.o modulebase.o timers.o \
+                                  logging.o oom.o mainloop.o          \
+                                  dsme-cal.o dsmesock.o
+dsme-server_LIBS               := dsme dl cal
+dsme-server: LD_EXTRA_GENFLAGS := -rdynamic $$(pkg-config --libs gthread-2.0)
+
+#logging.o: C_EXTRA_DEFINES :=  USE_STDERR
+dsme-server.o : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
+mainloop.o    : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
+modulebase.o  : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
+timers.o      : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
+dsmesock.o    : C_EXTRA_GENFLAGS := $$(pkg-config --cflags glib-2.0)
 
 # TODO: move dsme-exec-helper to modules/
 # dsme-exec-helper

=== util/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Build targets
 #
-BINARIES	:=	batttest dsmetool dsmetest bootstate kick_wd waitfordsme dsmereboot
+BINARIES	:=	batttest dsmetool dsmetest bootstate waitfordsme dsmereboot
 
 #
 # Target composition and overrides
@@ -14,8 +14,6 @@
 dsmetest_LIBS	:=	dsme
 bootstate_C_OBJS 	:=	bootstate.o
 bootstate_LIBS	:=	dsme
-kick_wd_C_OBJS 	:=	kick_wd.o
-kick_wd_LIBS	:=	dsme
 waitfordsme_C_OBJS 	:=	waitfordsme.o
 waitfordsme_LIBS	:=	dsme
 kicker_C_OBJS 	:=	kicker.o

=== debian/changelog ===
dsme (0.60.48+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.60.48+0m5

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Tue, 29 Jun 2010 12:18:02 +0300

dsme (0.60.48) unstable; urgency=low

  * libbmeipc-dev and DSME need fixing. Fixes: NB#102989.

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Tue, 15 Jun 2010 12:57:47 +0400

dsme (0.60.47) unstable; urgency=low

  * Splitting DSME required to reduce locked memory. Fixes: NB#159423.

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Mon, 24 May 2010 12:08:07 +0400

## dsme 0.60.49+0cssu2

=== modules/Makefile ===
--- 
+++ 
@@ -7,15 +7,10 @@
                    librunlevel             \
                    liblifeguard            \
                    libprocesswd            \
-                   libhwwd                 \
                    libdbusproxy            \
                    libalarmtracker         \
                    libthermalmanager       \
                    libemergencycalltracker
-
-ifdef DSME_BMEIPC
-SO_LIBRARIES    += libthermalobject_surface
-endif
 
 ifdef DSME_MEMORY_THERMAL_MGMT
 SO_LIBRARIES    += libthermalobject_memory
@@ -43,11 +38,6 @@
 libprocesswd_C_OBJS := processwd.o
 processwd.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
 
-libhwwd_C_OBJS               := hwwd.o dsme_wd.o
-hwwd.o    : C_EXTRA_GENFLAGS := -fPIC
-dsme_wd.o : C_EXTRA_GENFLAGS := -fPIC
-#libhwwd_EXTRA_LDFLAGS        := -lpthread
-
 libdbusproxy_C_OBJS := dbusproxy.o dsme_dbus.o
 dbusproxy.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
 dsme_dbus.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags dbus-glib-1)
@@ -59,13 +49,6 @@
 libthermalmanager_C_OBJS := thermalmanager.o
 thermalmanager.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0) -DDSME_THERMAL_TUNING #-DDSME_THERMAL_LOGGING
 #libthermalmanager_EXTRA_LDFLAGS := -lrt
-
-ifdef DSME_BMEIPC
-libthermalobject_surface_C_OBJS := thermalobject_surface.o thermalsensor_battery.o
-thermalobject_surface.o:  C_EXTRA_GENFLAGS := -fPIC
-thermalsensor_battery.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
-libthermalobject_surface_EXTRA_LDFLAGS := -lbmeipc $$(pkg-config --libs glib-2.0)
-endif
 
 ifdef DSME_MEMORY_THERMAL_MGMT
 libthermalobject_memory_C_OBJS := thermalobject_memory.o thermalsensor_omap.o
@@ -90,7 +73,6 @@
 INSTALL_SO_LIBRARIES    :=  libstartup.so        \
                             libheartbeat.so      \
                             libprocesswd.so      \
-                            libhwwd.so           \
                             liblifeguard.so      \
                             libstate.so          \
                             librunlevel.so       \
@@ -98,15 +80,12 @@
                             libalarmtracker.so   \
                             libthermalmanager.so \
                             libemergencycalltracker.so
-ifdef DSME_BMEIPC
-INSTALL_SO_LIBRARIES	+=	libthermalobject_surface.so
-endif
 ifdef DSME_MEMORY_THERMAL_MGMT
 INSTALL_SO_LIBRARIES	+=	libthermalobject_memory.so
 endif
 $(INSTALL_SO_LIBRARIES): INSTALL_PERM := 755
 $(INSTALL_SO_LIBRARIES): INSTALL_DIR  := $(DESTDIR)/usr/lib/dsme
-INSTALL_INCLUDES                      := 
+INSTALL_INCLUDES                      := thermalmanager.h
 $(INSTALL_INCLUDES): INSTALL_PERM     := 644
 $(INSTALL_INCLUDES): INSTALL_DIR      := $(DESTDIR)/usr/include/dsme

=== test/Makefile ===
--- 
+++ 
@@ -8,9 +8,10 @@
 ../modulebase.o : C_EXTRA_GENFLAGS := $$(pkg-config --cflasgs glib-2.0)
 testdriver_LIBS := pthread dl
 LD_EXTRA_GENFLAGS := -rdynamic \
-                     ../dsmesock.o ../protocol.o ../message.o \
+                     ../dsmesock.o \
                      ../logging.o \
                      ../mainloop.o \
+                     -ldsme \
                      $$(pkg-config --libs glib-2.0)
 
 all: $(BINARIES)

=== debian/changelog ===
dsme (0.60.49+0cssu2) unstable; urgency=low

  * Do not call getbootstate, it can increase reboot count which causing MALF
    Instead read bootreason from file /var/lib/dsme/saved_state

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 12 Jan 2013 23:31:26 +0100

dsme (0.60.49+0cssu1) unstable; urgency=low

  * Add option -p|--poweroff to dsmetool for clean device shutdown

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 02 Jan 2013 14:33:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Ismo Laitinen <ismo.laitinen@nokia.com>, David Weinehall <david.weinehall@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
 Build-Depends: debhelper (>= 4.1.0),
  libdsme0.2.0-dev (>= 0.60.29),
- libbmeipc-dev,
  libcal-dev (>= 0.2.0),
  pkg-config,
  libglib2.0-dev,
@@ -32,3 +31,9 @@
  This package contains the Device State Management Entity which provides state
  management features such as service monitoring, process watchdog and
  inactivity tracking.
+
+Package: dsme-dev
+Section: devel
+Architecture: any
+Description: Development files for dsme
+ This package contains headers.
